Page MenuHomePhabricator

reconsider terminology about template parameters in VisualEditor and ContentTranslation
Open, Needs TriagePublic0 Story Points

Description

VisualEditor's template editor uses the terms "information", "options", "fields" and "parameters" to refer to template parameters.

ContentTranslation's template editor uses the terms "properties" and "fields".

Is there a good reason to use all those different terms for the same thing? It's confusing to the users and to the translators.

I suggest replacing it with "parameter" everywhere, unless there is a good reason to do something else.

(I'm tagging this with both VE and CX because the editing terminology should be consistent.)

Event Timeline

Amire80 created this task.Nov 29 2016, 11:28 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 324142 had a related patch set uploaded (by Amire80):
Use the term "parameter" for template parameters everywhere

https://gerrit.wikimedia.org/r/324142

+1 for making everything match. However, the term parameter was originally rejected by the VisualEditor team because it's confusing to normal people. If you've been using wikitext templates for years, or if you're a software developer, then you can figure out what's meant, but if you're a normal person, it's confusing, un-discoverable jargon.

(This box is asking for linguistic parameters, right? No, it must be statistical ones. But this is all so stressful and confusing that maybe I should check my vital parameters.)

Along the lines of what @Whatamidoing-WMF mentioned, I found "parameter" to sound too technical. In the designs I was using "field" as the term exposed to the user (e.g., on the field card shown in the right column in T145856).

In 2012 or 2013 we changed VE to use "field" everywhere that's end-user facing (except for a couple we over-looked, which is fixed with https://gerrit.wikimedia.org/r/324256). "Information" refers to the user action for adding more information to a template (currently via fields), but perhaps could be improved a little. We decided to definitely not say "parameter" to users for the reasons @Whatamidoing-WMF
and @Pginer-WMF mention.

TemplateData needs to be switched over to "field" terminology, but that's not tagged here…

santhosh assigned this task to Amire80.Nov 30 2016, 7:05 AM

Change 324142 merged by jenkins-bot:
Use the term "field" for template parameters (fields) everywhere

https://gerrit.wikimedia.org/r/324142

Jdforrester-WMF set the point value for this task to 0.Jan 19 2017, 1:46 AM
Jdforrester-WMF removed a project: Patch-For-Review.